# Sending Queue

A sending queue is a buffer that stores telemetry data temporarily before sending it to the destination. The sending queue ensures that telemetry data is not lost due to network connectivity issues or server outages and helps to minimize the number of network connections required for efficient transmission.

<table><thead><tr><th width="271.6953125">Parameter</th><th width="108.7421875">Type</th><th width="95.25">Default</th><th>Description</th></tr></thead><tbody><tr><td>sending_queue_enabled</td><td><code>bool</code></td><td><code>true</code></td><td>Enable to buffer telemetry data temporarily before sending</td></tr><tr><td>sending_queue_num_consumers</td><td><code>int</code></td><td>10</td><td>The number of consumers that dequeue batches.</td></tr><tr><td>sending_queue_queue_size</td><td><code>int</code></td><td>5000</td><td>Maximum number of batches kept in memory before dropping.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/configuration/bindplane-otel-collector/sending-queue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
